Package wx :: Class DCPenChanger

[frames | no frames]

## Type DCPenChanger

    object --+
             |
            DCPenChanger

wx.DCPenChanger can be used to temporarily change the DC pen and restore it automatically when the object goes out of scope

Method Summary
DCPenChanger | ``__init__`(self, dc, pen)` wx.DCPenChanger can be used to temporarily change the DC pen and restore it automatically when the object goes out of scope
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, dc, pen)
(Constructor)

wx.DCPenChanger can be used to temporarily change the DC pen and restore it automatically when the object goes out of scope

  Parameters:
    `dc`
    (type=DC)

    `pen`
    (type=Pen)

  Returns:
    DCPenChanger
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:37 2007 | http://epydoc.sf.net